Subject: Re: [PATCH 2/3] Send comm and cmdline in SCM_PROCINFO

From: [email-masked] (Eric W. Biederman)
Date: Sun, 08 Sep 2013 23:52:44 -0700

Jan Kaluza <[email-masked]> writes:

Nacked-by: "Eric W. Biederman" <[email-masked]>

Whatever the benefits of the other pieces of information sending the
process command line is absolutely wrong.  It is a just a random string
from user space and there is absolutely no benefit in sending it in a
kernel verified way.  The process can just as easily pass the
information in userspace directly.

Furthermore the implementation of scm_get_current_procinfo is so far
from idiomatic for reading information about the current process that I
think it is fair to call it broken.

Eric